Page MenuHomePhabricator

[refactor] add a refactoring action rule that returns symbol occurrences
ClosedPublic

Authored by arphaman on Aug 28 2017, 4:29 AM.

Details

Summary

This patch adds a second kind of refactoring action rule that produces symbol occurrences. It will be used by the updated clang-refactor patch at https://reviews.llvm.org/D36574.

Diff Detail

Repository
rL LLVM

Event Timeline

arphaman created this revision.Aug 28 2017, 4:29 AM
ioeric accepted this revision.Aug 29 2017, 12:36 AM

Lgtm

This revision is now accepted and ready to land.Aug 29 2017, 12:36 AM
hokein added inline comments.Aug 30 2017, 2:13 AM
include/clang/Tooling/Refactoring/RefactoringActionRule.h
29 ↗(On Diff #112881)

I might miss some context here. As per your comment in https://reviews.llvm.org/D36075#inline-323769, you'll try to remove this tag, so I think we will hold off this patch until that is done?

unittests/Tooling/RefactoringActionRulesTest.cpp
180

I'm not a fan of passing a const smart_pointer& as function parameter. The function being called doesn't care about the lifetime management, so I'd use a raw pointer here.

arphaman added inline comments.Aug 30 2017, 2:24 AM
include/clang/Tooling/Refactoring/RefactoringActionRule.h
29 ↗(On Diff #112881)

Yeah, that would be better. I will remove the tag first.

arphaman updated this revision to Diff 113224.Aug 30 2017, 3:36 AM
arphaman marked an inline comment as done.
This revision now requires review to proceed.Aug 30 2017, 3:36 AM
JonasToth resigned from this revision.Aug 30 2017, 5:14 AM

sry. misconfigured herald :(

This revision is now accepted and ready to land.Aug 30 2017, 5:14 AM
arphaman updated this revision to Diff 113521.Sep 1 2017, 2:22 AM

Rebase on ToT

arphaman closed this revision.Sep 12 2017, 5:52 AM

Committed in r313025